﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverArcade.SilverSprite.Input
{
    public class Mouse
    {
        public static int X;
        public static int Y;
        public static bool LeftButtonDown;
        public static bool RightButtonDown = false;
        static MouseState state;

        public static void Update()
        {
            state = new MouseState();
            state.X = X;
            state.Y = Y;
            if (LeftButtonDown)
            {
                state.LeftButton = ButtonState.Pressed;
            }
            else
            {
                state.LeftButton = ButtonState.Released;
            }
            state.RightButton = ButtonState.Released;
        }

        public static MouseState GetState()
        {
            return state;
        }
    }
}
